#ifndef JTK_WINDOW_H
#define JTK_WINDOW_H

void * Jtk_CreateWindow();
void Jtk_SwapBuffers(void * window);
void Jtk_CloseWindow(void * window);
void Jtk_SetWindowTitle(void * window, const char * title);
void Jtk_SetWindowIcon(void * window, const uint8_t * data,
        size_t width, size_t height);

#endif
